Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ru.mfd.api
Enum Filter.ECondition

    java.lang.Object
      java.lang.Enum<Filter.ECondition>
          ru.mfd.api.Filter.ECondition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.ECondition>

Enclosing class:
  Filter

    public static enum Filter.ECondition

extends java.lang.Enum<Filter.ECondition>

Enum Constant Summary
`EQUAL`
`GREATER`
`GREATER_OR_EQUAL`
`LESS`
`LESS_OR_EQUAL`
`NOT_EQUAL`

Method Summary
`static Filter.ECondition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.ECondition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final Filter.ECondition EQUAL

### NOT_EQUAL

    public static final Filter.ECondition NOT_EQUAL

### LESS

    public static final Filter.ECondition LESS

### LESS_OR_EQUAL

    public static final Filter.ECondition LESS_OR_EQUAL

### GREATER

    public static final Filter.ECondition GREATER

### GREATER_OR_EQUAL

    public static final Filter.ECondition GREATER_OR_EQUAL

Method Detail

### values

    public static Filter.ECondition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Filter.ECondition c : Filter.ECondition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Filter.ECondition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2015 IFH-InfoCentre, Ltd.